Package org.eclipse.net4j.util.concurrent

## Class DelegatingExecutorService

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.DelegatingExecutorService

- All Implemented Interfaces:
    `java.util.concurrent.Executor`, `java.util.concurrent.ExecutorService`

      public class DelegatingExecutorService
      extends java.lang.Object
      implements java.util.concurrent.ExecutorService

  Since:
    3.6
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DelegatingExecutorService​(java.util.concurrent.ExecutorService delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `awaitTermination​(long timeout, java.util.concurrent.TimeUnit unit)` |
    `void` | `execute​(java.lang.Runnable command)` |
    `<T> java.util.List<java.util.concurrent.Future<T>>` | `invokeAll​(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks)` |
    `<T> java.util.List<java.util.concurrent.Future<T>>` | `invokeAll​(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks, long timeout, java.util.concurrent.TimeUnit unit)` |
    `<T> T` | `invokeAny​(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks)` |
    `<T> T` | `invokeAny​(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks, long timeout, java.util.concurrent.TimeUnit unit)` |
    `boolean` | `isShutdown()` |
    `boolean` | `isTerminated()` |
    `void` | `shutdown()` |
    `java.util.List<java.lang.Runnable>` | `shutdownNow()` |
    `java.util.concurrent.Future<?>` | `submit​(java.lang.Runnable task)` |
    `<T> java.util.concurrent.Future<T>` | `submit​(java.lang.Runnable task, T result)` |
    `<T> java.util.concurrent.Future<T>` | `submit​(java.util.concurrent.Callable<T> task)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatingExecutorService

          public DelegatingExecutorService​(java.util.concurrent.ExecutorService delegate)

  - ### Method Detail

    - #### execute

          public void execute​(java.lang.Runnable command)

      Specified by:
        `execute` in interface `java.util.concurrent.Executor`

    - #### shutdown

          public void shutdown()

      Specified by:
        `shutdown` in interface `java.util.concurrent.ExecutorService`

    - #### shutdownNow

          public java.util.List<java.lang.Runnable> shutdownNow()

      Specified by:
        `shutdownNow` in interface `java.util.concurrent.ExecutorService`

    - #### isShutdown

          public boolean isShutdown()

      Specified by:
        `isShutdown` in interface `java.util.concurrent.ExecutorService`

    - #### isTerminated

          public boolean isTerminated()

      Specified by:
        `isTerminated` in interface `java.util.concurrent.ExecutorService`

    - #### awaitTermination

          public boolean awaitTermination​(long timeout,
                                          java.util.concurrent.TimeUnit unit)
                                   throws java.lang.InterruptedException

      Specified by:
        `awaitTermination` in interface `java.util.concurrent.ExecutorService`
      Throws:
        `java.lang.InterruptedException`

    - #### submit

          public <T> java.util.concurrent.Future<T> submit​(java.util.concurrent.Callable<T> task)

      Specified by:
        `submit` in interface `java.util.concurrent.ExecutorService`

    - #### submit

          public <T> java.util.concurrent.Future<T> submit​(java.lang.Runnable task,
                                                           T result)

      Specified by:
        `submit` in interface `java.util.concurrent.ExecutorService`

    - #### submit

          public java.util.concurrent.Future<?> submit​(java.lang.Runnable task)

      Specified by:
        `submit` in interface `java.util.concurrent.ExecutorService`

    - #### invokeAll

          public <T> java.util.List<java.util.concurrent.Future<T>> invokeAll​(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks)
                                                                       throws java.lang.InterruptedException

      Specified by:
        `invokeAll` in interface `java.util.concurrent.ExecutorService`
      Throws:
        `java.lang.InterruptedException`

    - #### invokeAll

          public <T> java.util.List<java.util.concurrent.Future<T>> invokeAll​(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks,
                                                                              long timeout,
                                                                              java.util.concurrent.TimeUnit unit)
                                                                       throws java.lang.InterruptedException

      Specified by:
        `invokeAll` in interface `java.util.concurrent.ExecutorService`
      Throws:
        `java.lang.InterruptedException`

    - #### invokeAny

          public <T> T invokeAny​(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks)
                          throws java.lang.InterruptedException,
                                 java.util.concurrent.ExecutionException

      Specified by:
        `invokeAny` in interface `java.util.concurrent.ExecutorService`
      Throws:
        `java.lang.InterruptedException`
        `java.util.concurrent.ExecutionException`

    - #### invokeAny

          public <T> T invokeAny​(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks,
                                 long timeout,
                                 java.util.concurrent.TimeUnit unit)
                          throws java.lang.InterruptedException,
                                 java.util.concurrent.ExecutionException,
                                 java.util.concurrent.TimeoutException

      Specified by:
        `invokeAny` in interface `java.util.concurrent.ExecutorService`
      Throws:
        `java.lang.InterruptedException`
        `java.util.concurrent.ExecutionException`
        `java.util.concurrent.TimeoutException`